
From: "Randy.Dunlap" <rddunlap@osdl.org>

prepare_write() and commit_write() return `int'.

Fixes an ia64 compile warning.


 fs/jffs/inode-v23.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/jffs/inode-v23.c~jffs-retval-fix fs/jffs/inode-v23.c
--- 25/fs/jffs/inode-v23.c~jffs-retval-fix	2003-08-22 23:56:11.000000000 -0700
+++ 25-akpm/fs/jffs/inode-v23.c	2003-08-22 23:56:11.000000000 -0700
@@ -1530,7 +1530,7 @@ jffs_file_write(struct file *filp, const
 	return err;
 } /* jffs_file_write()  */
 
-static ssize_t
+static int
 jffs_prepare_write(struct file *filp, struct page *page,
                   unsigned from, unsigned to)
 {
@@ -1543,7 +1543,7 @@ jffs_prepare_write(struct file *filp, st
 	return 0;
 } /* jffs_prepare_write() */
 
-static ssize_t
+static int
 jffs_commit_write(struct file *filp, struct page *page,
                  unsigned from, unsigned to)
 {

_
